Note: This bug is displayed in read-only format because
the product is no longer active in Red Hat Bugzilla.
Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Description of problem:
Non-fatal POSTIN scriptlet failure in rpm package foreman-bootloaders-redhat-tftpboot
There is semantic error in /usr/bin/foreman-generate-bootloaders in check_pkg() function (Line 20):
check_pkg() {
rpm -q "$1" &>/dev/null || echo "Please install: yum -y install $1" && exit 1
}
cmd1 || cmd2 && cmd3
So, if cmd1 succeeds then cmd2 is skipped (OK) but cmd3 is still performed (BUG)
It should be like this:
cmd1 || ( cmd2 && cmd3 )
Version-Release number of selected component (if applicable):
satellite-6.3.0-23.0.el7sat.noarch (Snap 34)
foreman-bootloaders-redhat-201801241201-1.el7sat.noarch
How reproducible:
always
Steps to Reproduce:
1. # yum upgrade
...
warning: %post(foreman-bootloaders-redhat-tftpboot-201801241201-1.el7sat.noarch) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package foreman-bootloaders-redhat-tftpboot-201801241201-1.el7sat.noarch
2. # rpm -q --scripts foreman-bootloaders-redhat-tftpboot
postinstall scriptlet (using /bin/sh):
/usr/bin/foreman-generate-bootloaders x86_64 noinstall
3.
# /usr/bin/foreman-generate-bootloaders x86_64 noinstall
# echo $?
1
Actual results:
rpm scriptlet exits with 1 though there is no error at all
Expected results:
rpm scriptlet exits with 0 as there is no error at all
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.
For information on the advisory, and where to find the updated
files, follow the link below.
If the solution does not work for you, open a new bug report.
https://access.redhat.com/errata/RHSA-2018:2927
Description of problem: Non-fatal POSTIN scriptlet failure in rpm package foreman-bootloaders-redhat-tftpboot There is semantic error in /usr/bin/foreman-generate-bootloaders in check_pkg() function (Line 20): check_pkg() { rpm -q "$1" &>/dev/null || echo "Please install: yum -y install $1" && exit 1 } cmd1 || cmd2 && cmd3 So, if cmd1 succeeds then cmd2 is skipped (OK) but cmd3 is still performed (BUG) It should be like this: cmd1 || ( cmd2 && cmd3 ) Version-Release number of selected component (if applicable): satellite-6.3.0-23.0.el7sat.noarch (Snap 34) foreman-bootloaders-redhat-201801241201-1.el7sat.noarch How reproducible: always Steps to Reproduce: 1. # yum upgrade ... warning: %post(foreman-bootloaders-redhat-tftpboot-201801241201-1.el7sat.noarch) scriptlet failed, exit status 1 Non-fatal POSTIN scriptlet failure in rpm package foreman-bootloaders-redhat-tftpboot-201801241201-1.el7sat.noarch 2. # rpm -q --scripts foreman-bootloaders-redhat-tftpboot postinstall scriptlet (using /bin/sh): /usr/bin/foreman-generate-bootloaders x86_64 noinstall 3. # /usr/bin/foreman-generate-bootloaders x86_64 noinstall # echo $? 1 Actual results: rpm scriptlet exits with 1 though there is no error at all Expected results: rpm scriptlet exits with 0 as there is no error at all